prooph/prooph-event-store-module

ZF2 module that provides default functionality to use ProophEventStore in a ZF2 application

Installs: 1 115

Dependents: 1

Stars: 2

Watchers: 2

Language: PHP

v2.0 2015-01-13 20:53 UTC

README

[deprecated] Zend Framework 2 Module for ProophEventStore This module only support ProophEventStore <= 2.x. If you want to use PES v3+ with ZF2 then checkout proophessor

Build Status Coverage Status

Installation

You can install ProophEventStoreModule via composer by adding "prooph/prooph-event-store-module": "~2.0" as requirement to your composer.json.

Post installation

Enabling it in your application.config.phpfile.

<?php
return array(
    'modules' => array(
        // ...
        'ProophEventStoreModule',
    ),
    // ...
);

Configuration

DB Configuration

Copy the prooph.eventstore.db.local.php to your config/autoload directory and adjust the config to meet your needs. This config has the .local.php cause it requests you to configure a database connection (if you do not use the application wide configured Zend\Db\Adapter\Adapter) and should not be included in version control.

EventStore Configuration

Copy the prooph.eventstore.global.php to your config/autoload directory and adjust the config to meet your needs.

Retrieve ProophEventStore

The ProophEventStore can be retrieved from ServiceManager by using the alias prooph.event_store

$eventStore = $services->get('prooph.event_store');